//
//  ScopeListHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/11/18.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "ScopeListHttpCmd.h"
#import "ScopeListHttpResult.h"

static NSString *kActionUrl1 = @"/applicationscope/queryall";


@implementation ScopeListHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[ScopeListHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[ScopeListHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpSNHttpBasePostCmd_system = @"system";
NSString *const kHttpSNHttpBasePostCmd_companyname = @"companyname";
